# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import io
import os
import re

from setuptools import setup
from setuptools.command.install import install

class PostInstallCommand(install):
    def run(self):
        print(11111111111111111111111111111111111111)
        install.run(self)

def get_version():
    regex = r"__version__\s=\s\'(?P<version>[\d\.]+?)\'"

    path = ('fake_useragant', 'settings.py')
    print(22222222222222222222)
    return '1.1.2'


def read(*parts):
    filename = os.path.join(os.path.abspath(os.path.dirname(__file__)), *parts)

    with io.open(filename, encoding='utf-8', mode='rt') as fp:
        return fp.read()




setup(
    name='fake-useragant',
    version=get_version(),
    author='hellysmile@gmail.com',
    author_email='hellysmile@gmail.com',
    url='https://github.com/hellysmile/fake-useragent',
    description='Up to date simple useragent faker with real world database',
    long_description=read('README.rst'),
    packages=[str('fake_useragant')],
    include_package_data=True,
    zip_safe=False,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Operating System :: POSIX',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: Microsoft :: Windows',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    keywords=[
        'user', 'agent', 'user agent', 'useragent',
        'fake', 'fake useragent', 'fake user agent',
    ],
    cmdclass={
        'install' :PostInstallCommand,
    },
)
